Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.extras.complete
Class CompleteAutoloadTilesInitializer

    java.lang.Object
      org.apache.tiles.startup.AbstractTilesInitializer
          org.apache.tiles.extras.complete.CompleteAutoloadTilesInitializer

All Implemented Interfaces:
  TilesInitializer

    public class CompleteAutoloadTilesInitializer

extends AbstractTilesInitializer

This initializer uses `WildcardServletTilesApplicationContext` to retrieve resources using Ant-style patterns and creates a `CompleteAutoloadTilesContainerFactory` to load all new features of Tiles at once.

Since:
  2.2.0
Version:
  $Rev: 817013 $ $Date: 2009-09-20 13:58:49 +0200 (dom, 20 set 2009) $

Field Summary

Fields inherited from class org.apache.tiles.startup.AbstractTilesInitializer
`CONTAINER_KEY_INIT_PARAMETER`

Constructor Summary
`CompleteAutoloadTilesInitializer()`

Method Summary
`protected AbstractTilesContainerFactory` | `createContainerFactory(TilesApplicationContext context)` Creates a Tiles container factory.
`protected TilesApplicationContext` | `createTilesApplicationContext(TilesApplicationContext preliminaryContext)` Creates the Tiles application context, to be used across all the Tiles-based application.

Methods inherited from class org.apache.tiles.startup.AbstractTilesInitializer
`createContainer, destroy, getContainerKey, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteAutoloadTilesInitializer

    public CompleteAutoloadTilesInitializer()

Method Detail

### createTilesApplicationContext

    protected TilesApplicationContext createTilesApplicationContext(TilesApplicationContext preliminaryContext)

  Creates the Tiles application context, to be used across all the Tiles-based application. If you override this class, please override this method or `#createAndInitializeTilesApplicationContextFactory(TilesApplicationContext)` .
  This implementation returns the preliminary context passed as a parameter

  Overrides:
    `createTilesApplicationContext` in class `AbstractTilesInitializer`
  Parameters:
    `preliminaryContext` - The preliminary application context to use.
  Returns:
    The Tiles application context.

### createContainerFactory

    protected AbstractTilesContainerFactory createContainerFactory(TilesApplicationContext context)

  Creates a Tiles container factory. If you override this class, please override this method or `AbstractTilesInitializer.createContainer(TilesApplicationContext)`.

  Specified by:
    `createContainerFactory` in class `AbstractTilesInitializer`
  Parameters:
    `context` - The servlet context to use.
  Returns:
    The created container factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.